package ru.yandex.qe.dispenser.domain.index;

import java.io.Serializable;

import org.jetbrains.annotations.NotNull;

public class Index<PK extends Serializable, T> extends SupplierImpl<T> implements Indexable<PK> {
    @NotNull
    private final PK id;

    protected Index(@NotNull final PK id, @NotNull final T obj) {
        super(obj);
        this.id = id;
    }

    @NotNull
    @Override
    public PK getId() {
        return id;
    }
}
